Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
thienhadi

Xin Lisp !

Các bài được khuyến nghị

thienhadi    1

Mình cần 1 cái lisp dánh lệnh cái nó ra chữ"  vị trì khu đất và có mũi tên chỉ dẫn".Mình tìm nhiều rùi không thấy mong các Anh/Chị và các bạn ai biết thì xin chỉ mình. Thanks All!155247_hinh_1.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thienhadi    1

Mình sử sụng lisp này nè. Mình up không được ai chỉ minh với. mình dán len đay luôn.

 

;;;Viet dong chu "Vi tri khu dat"
 (defun C:VTKD(/ pt1 pt2)
  (setvar "CMDECHO" 0)
  (setq osm (getvar "OSMODE"))
  ;(setq pt1 (getpoint "\nDiem dat text : "))
  (while (= (setq pt1 (getpoint "\nDiem dat text : ")) nil))
  (setq pt2 (polar pt1 0 10.2))
  (setq vt (polar pt1 1 0.5))
  (setvar "OSMODE" 0)
  (command ".line" pt1 pt2 "")
  (command ".text" vt 1.2 0 "Vò trí khu ñaát" "")
  (setvar "OSMODE" osm)
  (princ)
)
 
 
;;;Ve mui ten
(defun C:MT (/ pt pt1 pt2 ang)
  (setvar "CMDECHO" 0)
  (setq osm (getvar  "OSMODE"))
  (while (= (setq pt1 (getpoint "\nDiem dau mui ten : ")) nil))
  (while (= (setq pt2 (getpoint pt1 "\nDiem cuoi mui ten : ")) nil))
  (setq ang (angle pt1 pt2)  pt (polar pt1 ang 1.0))
  (setvar "OSMODE" 0)
  (command "PLINE" pt2 "W" 0 0 pt "W" 0.5 0 pt1  "")
  (setvar "OSMODE" osm)
  (princ)
)
 
 
;;;Viet dong chu "Vi tri khu dat"
 (defun C:VT(/ pt pt2 pt3 ang)
  (setq osm (getvar "OSMODE"))
  (setq pt2 (getpoint "\nDiem dat VTKD: "))
  (setvar "OSMODE" 0)
  (setq pt3 (getpoint "\nHuong VTKD: "))
  (if (< (car pt2) (car pt3))
    (setq pt3 (polar pt2 0 10.2))
    (setq pt3 (polar pt2 PI 10.2))
  );if
  (command "PLINE" pt2 pt3 "")
  (if (< (car pt2) (car pt3))
    (setq vttext (polar pt2 1 0.5))
    (setq vttext (polar pt3 1 0.5))
  );if
  (command "TEXT" vttext 1.2 0 "Vò trí khu ñaát" "")
  (setvar "OSMODE" osm)
  (princ)
)
 
 
 
;;;Ve mui ten + Viet dong chu "Vi tri khu dat"
 (defun C:q(/ pt pt1 pt2 PT3 ang)
  (setq osm (getvar "OSMODE"))
  (setvar "OSMODE" 512)
  (setq pt1 (getpoint "\nDiem dau mui ten: "))
  (setvar "OSMODE" 0)
  (setq pt2 (getpoint pt1 "\nDiem cuoi mui ten: "))
  (setq ang (angle pt1 pt2))
  (setq pt (polar pt1 ang 1))
(command "PLINE" pt1 "W" 0.0 0.5
                   pt "W" 0.0 0.0 pt2 "")
  (setq pt3 (getpoint "\nHuong VTKD: "))
  (if (< (car pt2) (car pt3))
    (setq pt3 (polar pt2 0 8.0))
    (setq pt3 (polar pt2 PI 8.0))
  );if
  (command "PLINE" pt2 pt3 "")
  (if (< (car pt2) (car pt3))
    (setq vttext (polar pt2 1 0.5))
    (setq vttext (polar pt3 1 0.5))
  );if
  (command "TEXT" vttext 0.8 0 "Vò trí khu ñaát" "")
  (setvar "OSMODE" osm)
  (princ)
)
Chỉnh sửa theo thienhadi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×